# widgets/pageheaderbar.py
#
# Copyright 2020-2023 Fabio Comuni, et al.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.

from gi.repository import GObject
from gi.repository import Gtk


@Gtk.Template(resource_path="/net/kirgroup/confy/widgets/pageheaderbar.ui")
class PageHeaderBar(Gtk.Box):
    """Guarda mamma! un'altro box inutile! YAY!"""
    __gtype_name__ = "ConfyPageHeaderBar"

    _title = ""
    @GObject.property(type=str, default="")
    def title(self):
        return self._title

    @title.setter
    def title(self, v):
        self._title = v

    _subtitle = ""
    @GObject.property(type=str, default="")
    def subtitle(self):
        return self._subtitle

    @subtitle.setter
    def subtitle(self, v):
        self._subtitle = v

    _show_start_title_buttons = True
    @GObject.property(type=bool, default=True)
    def show_start_title_buttons(self):
        return self._show_start_title_buttons

    @show_start_title_buttons.setter
    def show_start_title_buttons(self, v):
        self._show_start_title_buttons = v

    _show_end_title_buttons = True
    @GObject.property(type=bool, default=True)
    def show_end_title_buttons(self):
        return self._show_end_title_buttons

    @show_end_title_buttons.setter
    def show_end_title_buttons(self, v):
        self._show_end_title_buttons = v

